Page MenuHomePhabricator

Set up Tech blog to share stories from the Wikimedia Technical community
Open, MediumPublic

Description

Purpose
The Wikimedia Tech Blog is intended to provide a supportive, well-indexed venue for members of the technical community to share posts focused around more complex technical topics associated with Wikimedia/the Open Source Software community.

Coverage
Technical topics relevant to the Wikimedia technical community, open-source, general software development, tooling, and technology. The blog will cover technical aspects of the work the WMF technology, product teams, and members of the technical community are doing.

The blog will cover topics that intersect with members of the Wikimedia Movement who are interested in the technical aspects of the projects. They may be building tools, creating or following software processes, engaging in project management, interested in specific data points, etc.

Blog posts will be written by members of the technical community (defined broadly).

Platform and guidelines

  • The blog will be run on Wordpress (pending security review and contract approval)
  • Publication and editorial guidelines TBA

Timeline
Tentatively March 2020

Conservatively 2020

See subtasks of this task.

Related Objects

Event Timeline

srodlund created this task.Jan 13 2020, 3:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 13 2020, 3:20 PM
CDanis added a subscriber: CDanis.Jan 13 2020, 3:24 PM
srodlund updated the task description. (Show Details)Jan 13 2020, 3:24 PM
srodlund renamed this task from Set up Tech blog to share stories from the Wikimedi Technical community to Set up Tech blog to share stories from the Wikimedia Technical community.Jan 13 2020, 3:31 PM
chasemp triaged this task as Medium priority.Jan 13 2020, 6:08 PM
chasemp added a subscriber: chasemp.
Arrbee added a subscriber: Arrbee.
srodlund updated the task description. (Show Details)Jan 17 2020, 7:48 PM
srodlund updated the task description. (Show Details)
srodlund updated the task description. (Show Details)Jan 17 2020, 7:51 PM
srodlund updated the task description. (Show Details)Jan 17 2020, 7:53 PM
EBjune added a subscriber: EBjune.Jan 18 2020, 1:17 AM

In the past we used to have a Wikimedia tech blog, and for reasons that I'm not familiar with, it was merged in to the main Wikimedia blog. Are there any lessons from that older blog that are relevant to make sure we don't end up in the same situation again?

srishakatux added a subscriber: srishakatux.
Aklapper added a subtask: Restricted Task.Jan 22 2020, 12:49 PM
Aklapper updated the task description. (Show Details)
Anomie added a subscriber: Anomie.Feb 5 2020, 6:50 PM
ssastry added a subscriber: ssastry.Feb 6 2020, 6:39 PM
RHeigl added a subscriber: RHeigl.Feb 12 2020, 5:05 PM

The MW stakeholders are also planning a MediaWiki blog. This will be launched in the next few months. The scope of the content would be broader, but there would also be many overlaps in content. Could we make a call to explore whether there are synergies. It makes little sense to duplicate infrastructures. Obviously several people have the same idea. Who would be the contact person here?

faidon added a subscriber: faidon.Feb 12 2020, 7:19 PM

@RHeigl feel free to reach out to me. (srodlund@wikimedia.org)

We can discuss where the projects might overlap.

Hi @srodlund! I took another look.
As far as I understand it, is this going to be a tech blog primarily about developments for the Wikimedia communites? Then there is actually not too much overlap. We (the MWStakeholders) would like to start a MediaWiki blog that works as a group blog, has sysadmins, developers and maintainers as a target group, to make developments and actors inside and outside (!) WMF visible and to promote MediaWiki as software and bring people and projects together. There would also be room for Semantic MediaWiki, Meza, skin and extension developers and many others who, in my opinion, won't find room in a Wikimedia Tech Blog.
The overlap would be that we would also like to promote developments of Wikimedia. But these topics would then tend to end up in your project. That's a pity, but also okay. Of course we would have loved to have included this and created a lot of space for it. But we can refer to interesting posts.
We also didn't know that Wikimedia itself is starting a new blog here. Then we could have contacted us early and agreed on something. At the moment everything seems already to be fixed on the WMF side and we have to adjust our content concept a bit. But of course our project will always open for all stakeholders in the big MediaWiki universe. I think anything that helps to make the work of developers visible and create different points of contact is essential for the future of MediaWiki. You start first and we follow. :-) We are only terribly behind schedule.

@RHeigl It is a big universe, and I'm confident between the two blogs there will be plenty of content--and likely different takes on it.

I agree any effort to increase the visibility of the technical work being done by our community is so important. Let's stay connected -- so that we're aware of our efforts going forward. We'll be updating here with more information as we progress toward the blog's launch and will be announcing more widely as we get closer.

srodlund updated the task description. (Show Details)Feb 28 2020, 10:42 PM
Bmueller closed subtask Restricted Task as Resolved.Mar 19 2020, 6:57 PM
Volker_E removed a subscriber: Volker_E.Mar 19 2020, 7:03 PM

@RHeigl Now that the Wikimedia Tech blog has been launched I was hoping to loop back around and talk with you a bit more about intersections with the MediaWiki blog. I'd like to hear more about your progress and talk about how we can support one another's efforts. Is this (Phab) a good forum? Or would it make more sense to try and synch up -- either with a meeting or on IRC?